{-# LANGUAGE RecordWildCards #-}
module Main where

import           Control.Monad.App
import           Data.Config
import           Network.HTTP.Client.TLS (newTlsManager)
import           Servant.Client
import           Server
import qualified Data.Text.IO as T
import Data.Language

main :: IO ()
main = do
  _config <- readConfigFromFile "config.yaml"
  manager <- newTlsManager
  _languageModel <- buildModel <$> T.readFile (_training _config)
  let state = App{..}
      _solidabisClient = ClientEnv manager (_solidabisBase _config) Nothing
  runAppM state server
